<template>
	<v-row class="search-box" align="center" no-gutters>
		<v-col v-if="label" :cols="labelCols">
			<label for="" class="search-box-label">
				<v-icon x-small color="primary" class="mr-1">mdi-record-circle</v-icon>
				{{ label }}
			</label>
		</v-col>
		<v-col :cols="label ? textCols : ''">
			<v-select
				v-model="selectValue"
				:items="searchParam[parentPrgmId][dataKey + 'List']"
				item-text="readObjNm"
				item-value="readObjId"
				solo
				outlined
				:hide-details="true"
				append-icon="mdi-chevron-down"
				class="v-select__custom"
			></v-select>
		</v-col>
	</v-row>
</template>

<script>
import { mapState, mapMutations, mapActions } from 'vuex';
export default {
	props: {
		parentPrgmId: {
			type: String,
			require: true,
		},
		dataKey: {
			type: String,
			require: true,
		},
		autoLoad: {
			type: Boolean,
			require: false,
			default: true,
		},
		label: {
			type: String,
			require: false,
			default: null,
		},
		sendParam: {
			type: Object,
			require: false,
			default: () => {
				return {};
			},
		},
		addAll: {
			type: Boolean,
			require: false,
			default: false,
		},
		textCols: {
			type: Number,
			require: false,
			default: 8,
		},
		labelCols: {
			type: Number,
			require: false,
			default: 4,
		},
	},
	data() {
		return {};
	},
	computed: {
		...mapState({
			searchParam: state => state.pageData,
		}),
		// ...mapActions({
		//   postApi: "modules/list/postApi",
		//   postUpdateApi: "modules/list/postUpdateApi",
		//   postApiReturn: "modules/list/postApiReturn",
		//   setTree: "modules/list/setTree",
		//   chkOpenTabList: "chkOpenTabList"
		// }),
		selectValue: {
			get() {
				return this.searchParam[this.parentPrgmId][this.dataKey];
			},
			set(value) {
				return this.setPageData({ [this.dataKey]: value });
			},
		},
	},
	created() {
		// if(this.autoLoad){
		this.getStandardList({
			dataKey: this.dataKey,
			params: this.sendParam,
		});
		// }
		// console.log("dataKey", this.dataKey);
	},
	methods: {
		...mapMutations({ setPageData: 'setPageData' }),
		...mapActions({
			getStandardList: 'modules/search/getStandardList',
		}),
	},
};
</script>
<style></style>
